#Include "squall.bi"

Dim As Integer sample, channel, key

' инициализация звукового двигателя
If (SQUALL_Init(0) < 0) Then
	SQUALL_Free()
	End
EndIf

' загрузим семпл
sample = SQUALL_Sample_LoadFile("music.ogg", 1, 0)

' начнем воспроизведение
channel = SQUALL_Sample_Play(sample, 0, 0, 1)

' ожидание выхода
Do

	Sleep(10)

Loop Until MultiKey(1)

SQUALL_Free()
